/*
 *      Copyright (C) 1997-2004 Andrei Los.
 *      This file is part of the lSwitcher source package.
 *      lSwitcher is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published
 *      by the Free Software Foundation, in version 2 as it comes in the
 *      "COPYING" file of the lSwitcher main distribution.
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 */

#ifndef PARMDLG_H_INCLUDED
#define PARMDLG_H_INCLUDED

#define BS_NOTEBOOKBUTTON          8L
#define BKS_TABBEDDIALOG         0x00000800  /* Tabbed dialog         */
#define BKS_BUTTONAREA           0x00000200  /* Reserve space for     */


#define DLG_PARAMS                  100
#define DLG_POPUP                   201
#define DLG_EXCLUDE                 202
#define DLG_TASKBAR                 203
#define STR_DLGPAGE                 204
#define DLG_EXCLUDETSKBAR           205


#define DLG_MISC                    300

#define LB_REMOVED                  101
#define LB_ADDED                    102
#define PB_ADD                      103
#define PB_REMOVE                   104
#define PB_EXIT                     105
#define PB_SAVE                     106
#define RAD_ALTTAB                  107
#define RAD_CTRLTAB                 108
#define CHK_SHOWVIEWER              109
#define CHK_SHOWHIDDEN              110
#define CHK_PMSWITCHER              111
#define SPIN_SCROLLDIV		    112
#define PB_HIDE                     113
#define CHK_SWDESKTOP               114
#define CHK_PMPOPUPINFS             115
#define CHK_SHOWINWINLIST           116
#define CHK_SCROLL                  117
#define CHK_HINTS                   118
#define PB_REFRESH                  119
#define CHK_ZORDER                  120
#define NB_PARAMS                   121
#define CHK_TASKBARON               122
#define CHK_TASKBARALWAYSVISIBLE    123
#define RAD_TOP                     124
#define RAD_BOTTOM                  125
#define CHK_STICKY	            126 
#define CHK_ICONSONLYTSKBAR	    127
#define CHK_REDUCEDSK	            128
#define EF_HOTKEY                   129
#define SPIN_BTNWID                 130


#define RAD_MINMBTN1                131
#define RAD_MINMBTN2                132
#define RAD_MINMBTN3                133
#define RAD_CLOSEMBTN1              134
#define RAD_CLOSEMBTN2              135
#define RAD_CLOSEMBTN3              136
#define RAD_SWMBTN12                137
#define RAD_MINMBTN12               138
#define RAD_CLOSEMBTN12             139
#define RAD_SWMBTN1                 140
#define RAD_SWMBTN2                 141
#define RAD_SWMBTN3                 142

#define COMBO_LANG                  143
#define GRP_MINHIDE		    144

#define CHK_FLATBTN		    145
#define CHK_GROUPITEMS		    146
#define CHK_ALLOWRESIZE		    147
#define RAD_WINTAB		    148
#define CHK_3DTASKBAR		    149
#define CHK_TSKBARGROW	            150

#define DLG_RUN 200
#define PB_BROWSE 201
#define CB_RUNCOMMAND 202

#define DLG_PRTY 400
#define SPIN_DELTA                  401
#define RAD_IDLETIME                402
#define RAD_REGULAR                 403
#define RAD_CRITICAL                404
#define RAD_FGNDSERVER              405
#define CHK_DESCENDANTS             406


#endif
